import 'package:flutter/material.dart';
import 'package:zhiying_comm/util/log/let_log.dart';

class TeamPageNotifier with ChangeNotifier {
  /// taBar选中的index
  int tabSelectIndex = 0;

  /// 筛选的条件
  Map<String, String> reqArgs = {};

  /// 更新筛选条件
  void updateSortCondition(String key, String args) {
    reqArgs[key] = args;
    Logger.log('updateSortCondition reqArgs = ${reqArgs?.toString()}');
    notifyListeners();
  }

  /// 更新选中Index
  void updateTabIndex(int index) {
    print('111111');
    this.tabSelectIndex = index;
  }

  /// 获取筛选条件
  Map<String, String> getReqArgs() {
    return this.reqArgs;
  }

  /// 获取当前选中的Tab下标
  int getTabIndex() {
    return this.tabSelectIndex;
  }
}
