import 'dart:async';

import 'package:bloc/bloc.dart';
import 'package:equatable/equatable.dart';
import 'package:zhiying_base_widget/pages/message_notice_page/bloc/message_notice_repository.dart';

part 'message_notice_event.dart';

part 'message_notice_state.dart';

class MessageNoticeBloc extends Bloc<MessageNoticeEvent, MessageNoticeState> {
  // MessageNoticeBloc() : super(MessageNoticeInitial());

  MessageNoticeRepository repository;

  MessageNoticeBloc(this.repository);

  @override
  MessageNoticeState get initialState => MessageNoticeInitial();

  @override
  Stream<MessageNoticeState> mapEventToState(
    MessageNoticeEvent event,
  ) async* {
    /// 初始化
    if (event is MessageNoticeInitEvent) {
      yield* _mapInitEventToState(event);
    }

    /// 下拉刷新
    if (event is MessageNoticeOnRefreshEvent) {
      yield* _mapOnRefreshEventToState(event);
    }

    /// 上拉更多
    if (event is MessageNoticeOnLoadEvent) {
      yield* _mapOnLoadEventToState(event);
    }
  }

  /// 初始化
  Stream<MessageNoticeState> _mapInitEventToState(MessageNoticeInitEvent event) async* {}

  /// 下拉刷新
  Stream<MessageNoticeState> _mapOnRefreshEventToState(MessageNoticeOnRefreshEvent event) async* {}

  /// 上拉更多
  Stream<MessageNoticeState> _mapOnLoadEventToState(MessageNoticeOnLoadEvent event) async* {}
}
